Subject: bug#22801: status on committed change: upgrading 'sed' RE's to include perlRE syntax.

From: Assaf Gordon <[email-masked]>
Date: Wed, 22 Mar 2017 03:16:04 +0000

tags 22801 wontfix
close 22801
stop

Hello,

On Wed, Feb 24, 2016 at 05:08:26PM -0800, Linda A. Walsh wrote:
>Jose E. Marchesi wrote:
>>    Does anyone know what happened to this?
>>
>>It was never completed.  I will look at it.
>
>I was afraid it fell into one of those 'cracks'...though from
>what was said at the time, some part of the work was already
>done and it looked like a matter of docs and packaging...

Work on this feature (pcre support in GNU sed) was
never fully completed, and is currently shelved indefinitely.

It would be inordinately difficult to make it as good as perl
(especially with regard to multi-line processing),
and would complicate sed while providing little gain (when
perl itself is readily available).

I'm thus closing and marking this item as 'wontfix'.
However discussion can continue by replying to this thread.

regards,
 - assaf